<?php

class Sis extends CI_Controller {

public function __construct()
{
        parent::__construct();
        // Imprimir pagina padrao para este controller
        //
        // Pode ser usada para executar determinadas acoes antes de carregar as paginas (imprimir codigo HTML inclusive).

 
        /* Standard Libraries */
        $this->load->database();
        $this->load->helper('url');

//
// AUTENTICACAO
//
                $this->load->library('session');
                //$this->load->helper('url');
                $this->load->helper('form');
                // IMPORTANT! This global must be defined BEFORE the flexi auth library is loaded!
                // It is used as a global that is accessible via both models and both libraries, without it, flexi auth will not work.
                $this->auth = new stdClass;
                $this->load->library('flexi_auth');
        // Redirect users logged in via password (However, not 'Remember me' users, as they may wish to login properly).
                if (!$this->flexi_auth->is_logged_in_via_password() )
                {
                        // Preserve any flashdata messages so they are passed to the redirect page.
                        if ($this->session->flashdata('message')) { $this->session->keep_flashdata('message'); }
                        // Redirect logged in admins (For security, admin users should always sign in via Password rather than 'Remember me'.
                        if ($this->flexi_auth->is_admin()){ redirect('auth_admin/dashboard'); }
                        else { redirect('auth_public/dashboard'); }
                }
/* ------------------ */


        /* ------------------ */    
 
        $this->load->library('grocery_CRUD');    
}
//
// CRUD VIEW (output) 
//
function _radius_crud_output($output = null)
{
	// Carregando header.php
        $this->load->view('templates/header', $output);
	// Mostrando a CRUD 
	$this->load->view('crud_output.php',$output);    
	// Carregando footer.php
        $this->load->view('templates/footer', $output);
}
//
// Definindo metodos para cada tabela
// 

// TABELA geral
function geral($tabela = '')
{

   // Mascarar tabela, usando o prefixo sis_ para qualquer tabela
   // chamada valida /sis/geral/tabela  (onde tabela deve ser sis_tabela no BD)
   //
    if(!$this->grocery_crud->set_table("sis_$tabela")) show_404();
    $this->grocery_crud->set_theme('twitter-bootstrap');
    $output = $this->grocery_crud->render();
    $this->_radius_crud_output($output);
}
//
// PAGINAS ESTATICAS
//
//
// Carrega o indice para este setor
//
public function index()
{
                redirect('auth');
}


public function pagina($page = 'bemvindo')
{

        if ( ! file_exists('mapp_hotspot/views/pages/'.$page.'.php'))
        {
                // Nao possuimos nenhuma pagina para continuar a requisicao
                show_404();
        }

        $data['title'] = ucfirst($page); // Capitalize the first letter

        $this->load->view('templates/header', $data);
        $this->load->view('pages/'.$page, $data);
        $this->load->view('templates/footer', $data);

}

}

